de.vc.xml

## Class SAXOutput

- java.lang.Object
- - de.vc.xml.SAXOutput

-     public class SAXOutput
      extends java.lang.Object

  The SAX output fires SAX-Events for a given node (including sub nodes) to a SAX content handler.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAXOutput(org.xml.sax.ContentHandler contentHandler)` Creates a new SAX output that fires its events a SAX content handler.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `fireEvtChars(java.lang.String chars)` Fires SAX event for characters.
    `protected void` | `fireEvtElements(java.util.List elements)` Fires events for a list of NodesElements.
    `protected void` | `fireEvtNode(Node node)` Fires SAX events for a node (without startDocument and endDocument).
    `protected java.lang.String` | `getNsUri(java.lang.String nsPrefix)` Gets the URI of a namespace prefix.
    `void` | `run(Node root)` Start firing SAX events.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAXOutput

          public SAXOutput(org.xml.sax.ContentHandler contentHandler)

      Creates a new SAX output that fires its events a SAX content handler.
      Parameters:
        `contentHandler` - SAX content handler.

  - ### Method Detail

    - #### run

          public void run(Node root)
                   throws org.xml.sax.SAXException

      Start firing SAX events.
      Parameters:
        `root` - Root node.
      Throws:
        `org.xml.sax.SAXException`

    - #### getNsUri

          protected java.lang.String getNsUri(java.lang.String nsPrefix)
                                       throws org.xml.sax.SAXException

      Gets the URI of a namespace prefix.
      Parameters:
        `nsPrefix` - Prefix of namespace.
      Returns:
        URI of namespace
      Throws:
        `org.xml.sax.SAXException` - If URI was not defined.

    - #### fireEvtNode

          protected void fireEvtNode(Node node)
                              throws org.xml.sax.SAXException

      Fires SAX events for a node (without startDocument and endDocument).
      Parameters:
        `node` - XML node.
      Throws:
        `org.xml.sax.SAXException`

    - #### fireEvtElements

          protected void fireEvtElements(java.util.List elements)
                                  throws org.xml.sax.SAXException

      Fires events for a list of NodesElements.
      Parameters:
        `elements` - List of NodeElements.
      Throws:
        `org.xml.sax.SAXException`

    - #### fireEvtChars

          protected void fireEvtChars(java.lang.String chars)
                               throws org.xml.sax.SAXException

      Fires SAX event for characters.
      Parameters:
        `chars` - Characters.
      Throws:
        `org.xml.sax.SAXException`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.